aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-osx-10.11-x86_64/21-install-commandlinetools.sh
diff options
context:
space:
mode:
authorLiang Qi <liang.qi@qt.io>2018-01-12 12:51:53 +0100
committerLiang Qi <liang.qi@qt.io>2018-01-12 21:13:56 +0100
commitc2d188f225a96ccf409f4dbebd19f6e59caf7da6 (patch)
tree35d0320171ad60a4e25c41f0718d02016dfd4242 /coin/provisioning/qtci-osx-10.11-x86_64/21-install-commandlinetools.sh
parentab25cb7af6602a558c84e3d30e8ce1c6e7ca6e73 (diff)
parent19872ea84352182ee974ff84d2e3872a21427117 (diff)
Merge remote-tracking branch 'origin/5.10' into dev
Conflicts: coin/platform_configs/default.txt coin/platform_configs/qt5.txt Task-number: QTBUG-65688 Change-Id: I17a303731dab4b967c9ef8a852ee0c1097b88f10
Diffstat (limited to 'coin/provisioning/qtci-osx-10.11-x86_64/21-install-commandlinetools.sh')
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/21-install-commandlinetools.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/21-install-commandlinetools.sh b/coin/provisioning/qtci-osx-10.11-x86_64/21-install-commandlinetools.sh
new file mode 100755
index 00000000..cb7dcfc6
--- /dev/null
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/21-install-commandlinetools.sh
@@ -0,0 +1,46 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+source "${BASH_SOURCE%/*}/../common/macos/install-commandlinetools.sh"
+
+version="8.2"
+packageName="Command_Line_Tools_macOS_10.11_for_Xcode_$version.dmg"
+url="http://ci-files01-hki.intra.qt.io/input/mac/$packageName"
+sha1="4df615ca765ac1a1e681ddcbca79fc15990e3b25"
+
+InstallCommandLineTools $url $url $sha1 $packageName $version
+